Subject: Re: [dtn-security] security layer
From: "Peter Lovell" <[email-masked]>
To: <[email-masked]>, "dtn security" <[email-masked]>
Date: Thu, 3 Apr 2008 08:34:40 -0400
List-Id: DTN Security Discussion <dtn-security.mailman.dtnrg.org>

On Thu, Apr 3, 2008, [email-masked] <[email-masked]> wrote:

>Hello, 
>When we design a secure system, the security should be provided at each
>layer to make a good secure system. 
>If we develop a system on top of DTN based network, then which layer
>will be best suitable to provide security extensions.  
>
>Suppose, we have underlying sensor network and on top DTN as overlay
>network, which layer we should provide the security services 
>for such system.  I think, to get benefits like, generic solution, we
>should introduce security extensions to bundle layer ... 
>
>                             Bundle Layer 
>                              Security 
>                             Transport Layer 
>                             Network Layer
>                             Data Link Layer 
>                             Physical Layer  
>
>Please comment on this and appropriate suggestions for building a
>security architecture for overlay network on top of sensor networks. 
>
>Nasir

Hi Nasir,

if you're looking to add security extensions to the bundle layer itself,
these documents are a good place to start.

http://www.ietf.org/internet-drafts/draft-irtf-dtnrg-sec-overview-04.txt
http://www.ietf.org/internet-drafts/draft-irtf-dtnrg-bundle-security-05.txt

Regards.....Peter

Content-class: urn:content-classes:message
Date: Thu, 3 Apr 2008 12:49:38 +0100
From: <[email-masked]>
To: <[email-masked]>
Subject: [dtn-security] security layer

This is a multi-part message in MIME format.

------_=_NextPart_001_01C89580.CBEB4252
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Hello,=20
When we design a secure system, the security should be provided at each =
layer to make a good secure system.=20
If we develop a system on top of DTN based network, then which layer =
will be best suitable to provide security extensions. =20

Suppose, we have underlying sensor network and on top DTN as overlay =
network, which layer we should provide the security services=20
for such system.  I think, to get benefits like, generic solution, we =
should introduce security extensions to bundle layer ...=20

                             Bundle Layer=20
                              Security=20
                             Transport Layer=20
                             Network Layer
                             Data Link Layer=20
                             Physical Layer =20

Please comment on this and appropriate suggestions for building a =
security architecture for overlay network on top of sensor networks.=20

Nasir

------_=_NextPart_001_01C89580.CBEB4252
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
6.5.7652.24">
<TITLE>security layer </TITLE>
</HEAD>
<BODY>
<!-- Converted from text/plain format -->

<P><FONT SIZE=3D2>Hello,<BR>
When we design a secure system, the security should be provided at each =
layer to make a good secure system.<BR>
If we develop a system on top of DTN based network, then which layer =
will be best suitable to provide security extensions.&nbsp;<BR>
<BR>
Suppose, we have underlying sensor network and on top DTN as overlay =
network, which layer we should provide the security services<BR>
for such system.&nbsp; I think, to get benefits like, generic solution, =
we should introduce security extensions to bundle layer ...<BR>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; Bundle Layer<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp; Security<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; Transport Layer<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; Network Layer<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; Data Link Layer<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; Physical Layer&nbsp;<BR>
<BR>
Please comment on this and appropriate suggestions for building a =
security architecture for overlay network on top of sensor networks.<BR>
<BR>
Nasir<BR>
<BR>
</FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01C89580.CBEB4252--

From: Michael Demmer <[email-masked]>
To: Delay Tolerant Networking Interest List <[email-masked]>,  dtn-security <[email-masked]>, dtn-users mailing list <[email-masked]>
Date: Wed, 2 Apr 2008 19:19:06 -0700
Subject: Re: [dtn-security] [dtn-interest] list reply-to (was: Re: DTN Time Sync Issues)

Sorry, I should clarify this a bit:

I changed the mailing list configuration so that it does no Reply-To  
munging at all. Any Reply-To headers that are set by the poster are  
left intact, but no Reply-To headers are added by the mailing list  
itself.

-mike

On Apr 2, 2008, at 6:47 PM, Michael Demmer wrote:
>
> Given that no-one seems to prefer the current behavior, I've modified
> the mailing list configuration so that the Reply-To defaults to send
> only to the poster rather than to the whole list.
>
> I've done the same on the dtn-users and dtn-security lists as well.
>
> -mike
>
>
> On Apr 2, 2008, at 6:04 PM, Kevin Fall wrote:
>> I don't really recall having a preference one way or another....
>>
>> - K
>>
>> On Apr 2, 2008, at Apr 212:02 PMPDT, Michael Demmer wrote:
>>
>>>>> Can this behaviour be changed? It's been annoying me for _months_.
>>>>
>>>> I've no problem with that. Anyone else care?
>>>>
>>>> S. (Who doesn't manage the list as it happens.)
>>>
>>> I'd be happy to make the change, as I have access to the list
>>> administrative interface.
>>>
>>> I think I remember that when we set up the list, Kevin had a
>>> preference for the current default behavior, so I'd like to hear his
>>> opinion before making the change. I think he's on vacation this week
>>> so we'll see when he replies.
>>>
>>> -m
>>>
>>>
>>> _______________________________________________
>>> dtn-interest mailing list
>>> [email-masked]
>>> http://maillists.intel-research.net/mailman/listinfo/dtn-interest
>>>
>>
>> _______________________________________________
>> dtn-interest mailing list
>> [email-masked]
>> http://maillists.intel-research.net/mailman/listinfo/dtn-interest
>
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-interest

From: Michael Demmer <[email-masked]>
To: Delay Tolerant Networking Interest List <[email-masked]>
Date: Wed, 2 Apr 2008 18:47:04 -0700
Cc: dtn-security <[email-masked]>, dtn-users mailing list <[email-masked]>
Subject: Re: [dtn-security] [dtn-interest] list reply-to (was: Re: DTN Time Sync Issues)

Given that no-one seems to prefer the current behavior, I've modified  
the mailing list configuration so that the Reply-To defaults to send  
only to the poster rather than to the whole list.

I've done the same on the dtn-users and dtn-security lists as well.

-mike

On Apr 2, 2008, at 6:04 PM, Kevin Fall wrote:
> I don't really recall having a preference one way or another....
>
> - K
>
> On Apr 2, 2008, at Apr 212:02 PMPDT, Michael Demmer wrote:
>
>>>> Can this behaviour be changed? It's been annoying me for _months_.
>>>
>>> I've no problem with that. Anyone else care?
>>>
>>> S. (Who doesn't manage the list as it happens.)
>>
>> I'd be happy to make the change, as I have access to the list
>> administrative interface.
>>
>> I think I remember that when we set up the list, Kevin had a
>> preference for the current default behavior, so I'd like to hear his
>> opinion before making the change. I think he's on vacation this week
>> so we'll see when he replies.
>>
>> -m
>>
>>
>> _______________________________________________
>> dtn-interest mailing list
>> [email-masked]
>> http://maillists.intel-research.net/mailman/listinfo/dtn-interest
>>
>
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-interest